{% extends "base.html" %}

{% block content %}
<h1>GitHub Profile Extractor</h1>
<form id="github-profile-form">
    <label for="username">GitHub Username:</label>
    <input type="text" id="username" name="username" required>
    <button type="submit">Extract Profile</button>
</form>
<div class="results-wrapper">
    <div id="result-container"></div>
</div>
{% endblock %}

{% block script %}
<script src="/static/js/github_profile.js"></script>
{% endblock %}